[package]
name = "trifid-pki"
version = "0.1.9"
edition = "2021"
description = "A rust implementation of the Nebula PKI system"
license = "AGPL-3.0-or-later"
documentation = "https://docs.rs/trifid-pki"
homepage = "https://git.e3t.cc/~core/trifid"
repository = "https://git.e3t.cc/~core/trifid"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
pem = "1.1.1"
x25519-dalek = "2.0.0-pre.1"
ed25519-dalek = { version = "2.0.0-pre.0", features = ["rand_core", "alloc"] }
ipnet = "2.7.1"
quick-protobuf = "0.8.1"
hex = "0.4.3"
sha2 = "0.10.6"
rand_core = "0.6.4"
rand = "0.8.5"
serde = { version = "1", features = ["derive"], optional = true }

[features]
default = []
serde_derive = ["serde", "ipnet/serde", "x25519-dalek/serde", "ed25519-dalek/serde"]